Subject: Re: bug#10395: 24.0.92; line-prefix text inherits face properties from the preceding line rather than following text

From: David Edmondson <[email-masked]>
Date: Tue, 03 Jan 2012 10:15:36 +0000

On Sat, 31 Dec 2011 16:09:41 +0200, Eli Zaretskii <[email-masked]> wrote:
> IOW, why would the user expect that the line-prefix be rendered using
> the face that begins _after_ the prefix?  This would be unlike
> anything else in the Emacs display operation.  Is this case really
> different?  What if the different face starts on some character that
> is not the line's first character -- would you, David, expect the
> line-prefix use that different face? if not, why do so when the
> different face begins at the line's beginning?

Your explanation makes sense and setting properties on the string used
for the line-prefix/wrap-prefix does indeed produce the desired result
(thanks!).

Perhaps I should update the bug to read 'why is the line-prefix at point
== 1 shown with the properties of the following character', though. Is
there special code for handling that case?